<?php
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: Настройка навигации страниц.
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'SHCMS Engine Информация MYSQL.';
include_once'../template/head.php';
registrat();
$adminka ->admin();


$db = mysql_connect(DBHOST,DBUSER,DBPASS) or die ("Не удалось подключиться с серверу ".$this->dbhost."");
mysql_select_db(DBNAME,$db);



$stat=mysql_stat($db);
preg_match_all('#\s*([0-9,.]+)\s*#ui',$stat,$m);
$date=date("H:i:s", mktime(0, 0, $m[0][0]));

echo '<div class="maintitle">Инфорация о вашей базы данных</div>';
echo '<div class="maintext">';
echo'Время работы сервера:&nbsp;'.$date.'<BR>';
echo'Кол-во соединений:&nbsp;'.$m[0][1].'<BR>';
echo'Кол-во отосланных запросов (за всё время):&nbsp;'.$m[0][2].'<BR>';
echo'Медленных запросов:&nbsp;'.$m[0][3].'<BR>';
echo'Кол-во открытых таблиц (за всё время):&nbsp;'.$m[0][4].'<BR>';
echo'Очищенных таблиц:&nbsp;'.$m[0][5].'<BR>';
echo'Открытых таблиц:&nbsp;'.$m[0][6].'<BR>';
echo'Запросов в секунду:&nbsp;'.$m[0][7].'<BR></div>';


echo '<div class="maintitle">Вес сайта,и вес базы данных</div>';
echo '<div class="maintext">';
function size_file($dir) {
    global $f_size;
    $dh = opendir ($dir);
    while ($file = readdir($dh)) {
        if($file!="." && $file!="..") {
            $fullpath = $dir."/".$file;
            if(!is_dir ($fullpath))
            {
                $f_size = $f_size + filesize ($fullpath);
            } else {
                size_file($fullpath);
            }
        }
    }
    closedir ($dh);
    return ($f_size);
}
function size_mysql($bd_host, $bd_login, $bd_parol, $bd_name) {
        $connect = @mysql_connect($bd_host, $bd_login, $bd_parol);
        if ($connect) {    
                if (@mysql_select_db ( $bd_name, $connect ) ) {
                        mysql_select_db( $dbname );
                        $result = mysql_query( "SHOW TABLE STATUS" );
                        while( $row = mysql_fetch_array( $result ) ) {         
                                $dbsize += $row[ "Data_length" ] + $row[ "Index_length" ];
                        }
                        return $dbsize;
                } else { die("База данных недоступна."); }
        } else { die("Немогу подключиться."); }
}
function formatfilesize($data) {
        if($data) {
                if( $data < 1024 ) {
                        return $data . " байт";
                } else if( $data < 1048576 ) {
                        return round( ( $data / 1024 ), 2 ) . " килобайт";
                } else if( $data < 1073741824 ) {            
                        return round( ( $data / 1048576 ), 2 ) . " мегабайт";
                } else {    
                        return round( ( $data / 1073741824 ), 2 ) . " гигабайт";
                }
        }
}
$files = size_file(".");
$mysql = size_mysql(DBHOST,DBUSER,DBPASS,DBNAME);
$all = $files+$mysql;
echo "Файлы весят: " . formatfilesize($files)."<br/>";
echo "База данных весит: " . formatfilesize($mysql)."<br/>";
echo "Общий вес сайта: " . formatfilesize($all)."<br/>";


echo '</div>';




include_once'../template/foot.php';

?>